<?php

namespace Daylight\Core\Modules\Pricing\Contracts;

use Daylight\Core\Models\Variant;
use Illuminate\Contracts\Auth\Authenticatable;
use Illuminate\Support\Collection;

interface PricingManagerInterface
{
    public function user(Authenticatable $user);

    public function quantity(int $quantity);

    public function customerGroups(Collection $customerGroups);

    public function for(Variant $variant);
}
